Buggar i kretsar från Cypress Semiconductor och Broadcom gjorde miljarder enheter, routrar, accesspunkter, datorer, surfplattor och mobiltelefoner sårbara för attacker. Buggarna har åtgärdats i de senare versionerna av de operativsystem som används i enheterna.

Det här är ett skrämmande exempel på varför du ska uppdatera dina prylar ich du bör göra det tämligen omgående. De allvarliga buggarna finns i en lång rad produkter – iPhone, iPad, Mac, Amazon Echos och Kindle, Android enheter, Raspberry Pi 3 och Wi-Fi routrar från Asus och Huawei.

“This results in scenarios where client devices that are unaffected (either patched or using different Wi-Fi chips not vulnerable to Kr00k) can be connected to an access point (often times beyond an individual’s control) that is vulnerable,” Eset researchers wrote in a research paper published on Wednesday. “The attack surface is greatly increased, since an adversary can decrypt data that was transmitted by a vulnerable access point to a specific client (which may or may not be vulnerable itself).”

Ars Technica

Apple

Apples besked är att om du har uppdaterat till senare versioner av iOS, macOS och övriga operativsystem så är buggarna åtgärdade. Har du ännu inte uppdaterat dina enheter så gör det, skyndsamt.


Anmäl dig till Mackens Nyhetsbrev


Du får förhandsinformation om Macken, våra planer och du får informationen, först och direkt till din mail. Vi lovar att inte skicka din information vidare och vi lovar att inte skicka ut mer än max ett nyhetsbrev per månad. Anmäl dig här